Debian Bug report logs - #316663
Curses doesn't seem to like overlapped wide characters

version graph

Package: libncursesw5; Maintainer for libncursesw5 is Craig Small <csmall@debian.org>; Source for libncursesw5 is src:ncurses.

Reported by: dburrows@debian.org

Date: Sat, 2 Jul 2005 20:03:02 UTC

Severity: normal

Found in version 5.4-8

Fixed in version ncurses/5.5-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <daniel@astro.psu.edu>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <daniel@astro.psu.edu>
To: submit@bugs.debian.org
Subject: Curses doesn't seem to like overlapped wide characters
Date: Sat, 2 Jul 2005 15:49:01 -0400
Package: libncursesw5
Version: 5.4-8
Severity: normal

  I've just finished converting aptitude's display routines to understand 
about >8-bit character set locales such as utf8.  Everything works fine in 
typical European locales -- however, when I tried setting the locale to 
zh_CN, I noticed some display artifacts.  After a bit of experimentation, I 
believe that I've found the general situation that's causing this problem.  
As you probably know, Chinese characters are "wide" -- by which I mean that 
they take two columns on the text terminal.  The problem I'm encountering 
occurs when a wide character is *partially* overlapped by a non-wide 
character.  For instance, you can see this when a popup menu appears on top 
of a background of wide-character text:

http://people.debian.org/~dburrows/aptitude-utf8-screenshot.png

  I know that the terminal (xterm) is capable of displaying what I want, 
because when I moved the cursor around a bit, it displayed everything 
properly:

http://people.debian.org/~dburrows/aptitude-utf8-screenshot2.png

  In fact, ncurses' behavior in the presence of partially overlapped 
characters seems very unpredictable.  It randomly will either:

  (a) do what you see above: shift the overlapping characters to the right to 
fall on a character boundary (in some cases it even seems to shift stuff to 
the left!);
  (b) erase the overlapped character completely and draw the overlapping 
characters where they were placed, or
  (c) draw the overlapping character on the bottom and the overlapped 
character on top, as in the second example.

  As far as I'm concerned, either (b) or (c) would be OK, although of course 
(c) is preferable.  (a) pretty much makes it impossible to generate 
reasonable output via curses in the presence of text that might overlap.

  Daniel

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libncursesw5 depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries 
an

Versions of packages libncursesw5 recommends:
ii  libgpmg1                      1.19.6-20  General Purpose Mouse - shared 
lib

-- no debconf information

-- 
/------------------ Daniel Burrows <daniel@astro.psu.edu> ------------------\
|                          We are Debian of Borg.                           |
|                          You will be packaged.                            |
|                          Resistance is futile.                            |
\------------ Evil Overlord, Inc: http://www.eviloverlord.com --------------/



Changed Bug submitter from Daniel Burrows <daniel@astro.psu.edu> to dburrows@debian.org. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #12 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <daniel@astro.psu.edu>, 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sat, 2 Jul 2005 16:30:25 -0400 (EDT)
On Sat, 2 Jul 2005, Daniel Burrows wrote:

> Package: libncursesw5
> Version: 5.4-8
> Severity: normal
>
>  As far as I'm concerned, either (b) or (c) would be OK, although of course
> (c) is preferable.  (a) pretty much makes it impossible to generate
> reasonable output via curses in the presence of text that might overlap.

I agree that the pictures don't look right, etc.  What version of aptitude
is that (so I can trace through it and see where the problem comes from)?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #17 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sat, 2 Jul 2005 20:51:12 -0400
On Saturday 02 July 2005 04:30 pm, Thomas Dickey wrote:
> On Sat, 2 Jul 2005, Daniel Burrows wrote:
> > Package: libncursesw5
> > Version: 5.4-8
> > Severity: normal
> >
> >  As far as I'm concerned, either (b) or (c) would be OK, although of
> > course (c) is preferable.  (a) pretty much makes it impossible to
> > generate reasonable output via curses in the presence of text that might
> > overlap.
>
> I agree that the pictures don't look right, etc.  What version of aptitude
> is that (so I can trace through it and see where the problem comes from)?

  Current svn:

  svn://svn.debian.org/svn/aptitude/branches/aptitude-0.3/aptitude

  Thanks for looking into this!

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|          Almost Winter, Winter, Still Winter, and Construction.           |
\--------------------- A duck! -- http://www.python.org --------------------/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #22 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sat, 2 Jul 2005 21:10:50 -0400 (EDT)
[Message part 1 (text/plain, inline)]
On Sat, 2 Jul 2005, Daniel Burrows wrote:

> On Saturday 02 July 2005 04:30 pm, Thomas Dickey wrote:
>> On Sat, 2 Jul 2005, Daniel Burrows wrote:
>>> Package: libncursesw5
>>> Version: 5.4-8
>>> Severity: normal
>>>
>>>  As far as I'm concerned, either (b) or (c) would be OK, although of
>>> course (c) is preferable.  (a) pretty much makes it impossible to
>>> generate reasonable output via curses in the presence of text that might
>>> overlap.
>>
>> I agree that the pictures don't look right, etc.  What version of aptitude
>> is that (so I can trace through it and see where the problem comes from)?
>
>  Current svn:
>
>  svn://svn.debian.org/svn/aptitude/branches/aptitude-0.3/aptitude

hmm (I haven't setup subversion - will look in the morning to see what's
involved).

>  Thanks for looking into this!

no problem (I'm inclined to think it's my bug, but won't know til I see).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #27 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Thomas Dickey <dickey@his.com>, 316663@bugs.debian.org
Cc: Daniel Burrows <dburrows@debian.org>
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sun, 3 Jul 2005 01:28:20 -0400
On Sat, Jul 02, 2005 at 09:10:50PM -0400, Thomas E. Dickey wrote:
> hmm (I haven't setup subversion - will look in the morning to see what's
> involved).

If you've got a Debian system, nothing is: apt-get install it, then svn
co <url>.

I've started keeping my ncurses trees in svn.  It's quite nice.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #32 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Daniel Jacobowitz <drow@false.org>
Cc: Thomas Dickey <dickey@his.com>, 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sun, 3 Jul 2005 10:59:22 -0400
[Message part 1 (text/plain, inline)]
On Sunday 03 July 2005 01:28 am, Daniel Jacobowitz wrote:
> On Sat, Jul 02, 2005 at 09:10:50PM -0400, Thomas E. Dickey wrote:
> > hmm (I haven't setup subversion - will look in the morning to see what's
> > involved).
>
> If you've got a Debian system, nothing is: apt-get install it, then svn
> co <url>.
>
> I've started keeping my ncurses trees in svn.  It's quite nice.

  Or if you don't want to do that, I've uploaded a snapshot here:

http://people.debian.org/~dburrows/aptitude-0.3.2-svn1120355805.tar.gz

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|         You are in a maze of twisty little signatures, all alike.         |
\--------------------- A duck! -- http://www.python.org --------------------/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #37 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <daniel@astro.psu.edu>, 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sun, 7 Aug 2005 09:12:57 -0400
[Message part 1 (text/plain, inline)]
On Sat, Jul 02, 2005 at 03:49:01PM -0400, Daniel Burrows wrote:
> Package: libncursesw5
> Version: 5.4-8
> Severity: normal
> 
>   I've just finished converting aptitude's display routines to understand 
> about >8-bit character set locales such as utf8.  Everything works fine in 
> typical European locales -- however, when I tried setting the locale to 
> zh_CN, I noticed some display artifacts.  After a bit of experimentation, I 
> believe that I've found the general situation that's causing this problem.  
> As you probably know, Chinese characters are "wide" -- by which I mean that 
> they take two columns on the text terminal.  The problem I'm encountering 
> occurs when a wide character is *partially* overlapped by a non-wide 
> character.  For instance, you can see this when a popup menu appears on top 
> of a background of wide-character text:

I can see where the problem is, will make a fix in the next patch.
Other than the usual distractions, it took a few hours debugging due
to the large size of the trace when running aptitude (to see how to
get the information I needed).  It seems that aptitude creates a _lot_
of windows (my first cut of a trace got 300Mb of trace).  aptitude
would probably run faster if it didn't do that.

Anyway, the problem is that for the special case I'm seeing,
ncurses/tty/tty_update.c is doing the wrong thing when there's
an overlapped character.  This is the chunk that's wrong (around
line 1300):

	    if (oLastChar < nLastChar) {
		int m = max(nLastNonblank, oLastNonblank);
		GoTo(lineno, n + 1);
		if (
#if USE_WIDEC_SUPPORT
		       isWidecExt(newLine[n + 1]) ||
#endif
		       InsCharCost(nLastChar - oLastChar) > (m - n)) {
		    PutRange(oldLine, newLine, lineno, n + 1, m);
		} else {
		    InsStr(&newLine[n + 1], nLastChar - oLastChar);
		}

The isWidecExt() ifdef is new since 5.4, and for this particular case is
applied too late to work properly.  Also if the InsStr() branch is taken,
I see the menu border overwritten.  So there are two problems in that
chunk.

(I have a preliminary fix, but it was late at night -have to review ;-)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #42 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: dickey@his.com
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sun, 7 Aug 2005 12:47:28 -0700
On Sunday 07 August 2005 06:12 am, Thomas Dickey wrote:
> On Sat, Jul 02, 2005 at 03:49:01PM -0400, Daniel Burrows wrote:
> > Package: libncursesw5
> > Version: 5.4-8
> > Severity: normal
> >
> >   I've just finished converting aptitude's display routines to understand
> > about >8-bit character set locales such as utf8.  Everything works fine
> > in typical European locales -- however, when I tried setting the locale
> > to zh_CN, I noticed some display artifacts.  After a bit of
> > experimentation, I believe that I've found the general situation that's
> > causing this problem. As you probably know, Chinese characters are "wide"
> > -- by which I mean that they take two columns on the text terminal.  The
> > problem I'm encountering occurs when a wide character is *partially*
> > overlapped by a non-wide character.  For instance, you can see this when
> > a popup menu appears on top of a background of wide-character text:
>
> I can see where the problem is, will make a fix in the next patch.
> Other than the usual distractions, it took a few hours debugging due
> to the large size of the trace when running aptitude (to see how to
> get the information I needed).  It seems that aptitude creates a _lot_
> of windows (my first cut of a trace got 300Mb of trace).  aptitude
> would probably run faster if it didn't do that.

  I would expect only a dozen or so windows in the initial program state; no 
more than two dozen, tops.  However, I am currently investigating a massive 
resource leak in aptitude which leaked WINDOW *s among other things.  That 
might have caused what you were seeing.

  Anyway, thanks for looking into this; I'm glad to hear that it's probably 
fixed :).

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|              I used to be indecisive, but now I'm not sure.               |
\- Does your computer have Super Cow Powers? ------- http://www.debian.org -/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #47 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Subject: Re: Bug#316663: Curses doesn't seem to like overlapped wide characters
Date: Sun, 7 Aug 2005 16:58:52 -0400 (EDT)
On Sun, 7 Aug 2005, Daniel Burrows wrote:

>> I can see where the problem is, will make a fix in the next patch.
>> Other than the usual distractions, it took a few hours debugging due
>> to the large size of the trace when running aptitude (to see how to
>> get the information I needed).  It seems that aptitude creates a _lot_
>> of windows (my first cut of a trace got 300Mb of trace).  aptitude
>> would probably run faster if it didn't do that.
>
>  I would expect only a dozen or so windows in the initial program state; no
> more than two dozen, tops.  However, I am currently investigating a massive
> resource leak in aptitude which leaked WINDOW *s among other things.  That
> might have caused what you were seeing.

That could be.  I saw this happening during the initialization, had the
impression that it was creating the windows as a side-effect of reading
the package descriptions.  What it looks like in the trace was lots of
calls to derwin, e.g.:

called {derwin(0x8262aa0,23,80,1,0)
_nc_makenew(23,80,1,0)
create :window 0x82657a8
return }0x82657a8
called {keypad(0x82657a8,1)
return }0

I cut the trace down by telling it to start when I was entering 
KEY_RIGHT's, so that got past the initialization.

>  Anyway, thanks for looking into this; I'm glad to hear that it's probably
> fixed :).

soon (next patch is a week from yesterday).  It's definitely a bug in 
ncurses though.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #52 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 316663@bugs.debian.org
Subject: PING [Re: Bug#316663: Curses doesn't seem to like overlapped wide characters]
Date: Fri, 7 Oct 2005 10:44:21 -0700
[Message part 1 (text/plain, inline)]
  Any news on this bug?

  Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #57 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#316663: PING [Re: Bug#316663: Curses doesn't seem to like overlapped wide characters]
Date: Fri, 7 Oct 2005 14:56:25 -0400
On Fri, Oct 07, 2005 at 10:44:21AM -0700, Daniel Burrows wrote:
>   Any news on this bug?

Sounds like I just need to pull the latest upstream patches into
ncurses in unstable; I will plan for this weekend or next week.

-- 
Daniel Jacobowitz
CodeSourcery, LLC



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #62 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>
Cc: 316663@bugs.debian.org
Subject: Re: PING [Re: Bug#316663: Curses doesn't seem to like overlapped wide characters]
Date: Fri, 7 Oct 2005 15:03:06 -0400 (EDT)
On Fri, 7 Oct 2005, Daniel Burrows wrote:

>  Any news on this bug?

I made a fix in ncurses, which should repair this.  Offhand I don't
recall what patch-level is in Debian.  The relevant entry is in the 
20050813 patch.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #67 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Jacobowitz <drow@false.org>
Cc: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Subject: Re: Bug#316663: PING [Re: Bug#316663: Curses doesn't seem to like overlapped wide characters]
Date: Fri, 7 Oct 2005 15:05:30 -0400 (EDT)
On Fri, 7 Oct 2005, Daniel Jacobowitz wrote:

> On Fri, Oct 07, 2005 at 10:44:21AM -0700, Daniel Burrows wrote:
>>   Any news on this bug?
>
> Sounds like I just need to pull the latest upstream patches into
> ncurses in unstable; I will plan for this weekend or next week.

yes - I _think_ everything is stable.  I've no new bugs, was only 
investigating Frank van Yugt's reports for the form library (and the only 
one remaining is to see if I can see why my test program works with 
ncurses and dumps core on Solaris ;-)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dburrows@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 316663-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 316663-close@bugs.debian.org
Subject: Bug#316663: fixed in ncurses 5.5-1
Date: Fri, 14 Oct 2005 16:17:13 -0700
Source: ncurses
Source-Version: 5.5-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.5-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.5-1_i386.deb
lib64ncurses5_5.5-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.5-1_i386.deb
libncurses5-dbg_5.5-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.5-1_i386.deb
libncurses5-dev_5.5-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.5-1_i386.deb
libncurses5_5.5-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.5-1_i386.deb
libncursesw5-dbg_5.5-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.5-1_i386.deb
libncursesw5-dev_5.5-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.5-1_i386.deb
libncursesw5_5.5-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.5-1_i386.deb
ncurses-base_5.5-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.5-1_all.deb
ncurses-bin_5.5-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.5-1_i386.deb
ncurses-term_5.5-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.5-1_all.deb
ncurses_5.5-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.5-1.diff.gz
ncurses_5.5-1.dsc
  to pool/main/n/ncurses/ncurses_5.5-1.dsc
ncurses_5.5.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316663@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Oct 2005 21:13:00 +0000
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.5-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 lib64ncurses5 - Shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - Developer's libraries for ncurses (64-bit)
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 316663 318621 325481 333749
Changes: 
 ncurses (5.5-1) unstable; urgency=low
 .
   * New upstream release.
     - inwstr-manpage-section.patch and tack-manpage.patch merged.
     - Remove reference to non-existant BUGS section (Closes: #325481).
     - Wide character repainting fix (Closes: #316663).
     - Hurd sgr0 trimming fix (Closes: #318621).
   * Set the expected libgpm SONAME in debian/rules to avoid cross compilation
     checks.
   * Build 64-bit libraries on i386 and powerpc (Closes: #333749).
   * Correct the type of NCURSES_BOOL in 64-bit biarch builds.
Files: 
 0e90da1b386cbaa6a50a8aff81063001 993 libs standard ncurses_5.5-1.dsc
 e73c1ac10b4bfc46db43b2ddfd6244ef 2314030 libs standard ncurses_5.5.orig.tar.gz
 81ae9e65329fdc8db8f399f39841c04a 35116 libs standard ncurses_5.5-1.diff.gz
 5a0e0279a0d32e95521943488ff300d8 293500 base required libncurses5_5.5-1_i386.deb
 94b5a00ad800322bc9e4afde5f4d71b9 1312330 libdevel optional libncurses5-dev_5.5-1_i386.deb
 f2adc6f8c9dce5c1d85268760ba41228 1251174 libdevel extra libncurses5-dbg_5.5-1_i386.deb
 dcf43a81ed801f42137442eb4818e585 310556 libs important libncursesw5_5.5-1_i386.deb
 642c75064c0fbc4a130e0a3e4a3ddb3d 426198 libdevel optional libncursesw5-dev_5.5-1_i386.deb
 190ecaea9d07222bc4a9bf65c0b2a54f 1406412 libdevel extra libncursesw5-dbg_5.5-1_i386.deb
 5652fbf86560fc6f4f9f60986d34959c 318712 libs optional lib64ncurses5_5.5-1_i386.deb
 33281f2bd1c6d6f5847c866e99908ba3 381892 libdevel optional lib64ncurses5-dev_5.5-1_i386.deb
 ed50853689395ab78a7cec898d20fcd8 210164 base required ncurses-bin_5.5-1_i386.deb
 60c1c2cdaf869ea034a8c5af26a2ff15 12838 base required ncurses-base_5.5-1_all.deb
 149bad2b9aedaba8597ae2c53535bdc1 276684 admin standard ncurses-term_5.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDUDn3bgOPXuCjg3cRAsOQAJ9y0NcKyIY/ZN6MRSGxUfaFq7LbAwCgx2Z9
cVKQd0aj5fBJr1+G5xPweZw=
=FX8k
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #77 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 316663@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#316663 acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Fri, 14 Oct 2005 16:42:00 -0700
[Message part 1 (text/plain, inline)]
reopen 316663
thanks

On Fri, Oct 14, 2005 at 04:33:21PM -0700, Debian Bug Tracking System <owner@bugs.debian.org> was heard to say:
>      - Wide character repainting fix (Closes: #316663).

  Unfortunately, I'm not sure this is fixed :-(.  I was able to trigger
some similar problems with aptitude's overlapping menus pretty quickly
(generally screen corruption that goes away when I do a complete
refresh).  Of course, it's always possible that I've found a completely
different bug :-/.

  Daniel
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #84 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Fri, 14 Oct 2005 19:53:28 -0400 (EDT)
On Fri, 14 Oct 2005, Daniel Burrows wrote:

> reopen 316663
> thanks
>
> On Fri, Oct 14, 2005 at 04:33:21PM -0700, Debian Bug Tracking System <owner@bugs.debian.org> was heard to say:
>>      - Wide character repainting fix (Closes: #316663).
>
>  Unfortunately, I'm not sure this is fixed :-(.  I was able to trigger
> some similar problems with aptitude's overlapping menus pretty quickly
> (generally screen corruption that goes away when I do a complete
> refresh).  Of course, it's always possible that I've found a completely
> different bug :-/.

That's possible - but when I tested the change, it did fix the case
you reported before.  I'll revisit this tomorrow (since so far I've
only one small bug report), and see if I can break it - otherwise I'll
need some more information.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #89 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Fri, 14 Oct 2005 18:26:33 -0700
[Message part 1 (text/plain, inline)]
On Fri, Oct 14, 2005 at 07:53:28PM -0400, Thomas Dickey <dickey@his.com> was heard to say:
> On Fri, 14 Oct 2005, Daniel Burrows wrote:
> 
> >reopen 316663
> >thanks
> >
> >On Fri, Oct 14, 2005 at 04:33:21PM -0700, Debian Bug Tracking System 
> ><owner@bugs.debian.org> was heard to say:
> >>     - Wide character repainting fix (Closes: #316663).
> >
> > Unfortunately, I'm not sure this is fixed :-(.  I was able to trigger
> >some similar problems with aptitude's overlapping menus pretty quickly
> >(generally screen corruption that goes away when I do a complete
> >refresh).  Of course, it's always possible that I've found a completely
> >different bug :-/.
> 
> That's possible - but when I tested the change, it did fix the case
> you reported before.  I'll revisit this tomorrow (since so far I've
> only one small bug report), and see if I can break it - otherwise I'll
> need some more information.

  One reproducible breakage for me (with aptitude 0.3.5.1-1):

  (a) start the program in the zh_CN.UTF-8 locale
  (b) activate the menu bar (press Control-Space)
  (c) press right 5 times

  In a 42x19 terminal, the last step results in the bottom border of the
menu refusing to overlap a string of Chinese text that I can't read, and
getting shifted one cell to the right (going off the screen and wrapping
around).  This particular case, unlike some others, doesn't go away when
I do a complete screen refresh (^L).  If I deactivate the menu at that
point (Control-Space again), there is some corruption of the same long
string of text, and this *does* go away.

  Actually, just pressing the left arrow key when the program starts
gives me the same effect.

  Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #94 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Sat, 15 Oct 2005 17:23:30 -0400
[Message part 1 (text/plain, inline)]
On Fri, Oct 14, 2005 at 06:26:33PM -0700, Daniel Burrows wrote:
>   One reproducible breakage for me (with aptitude 0.3.5.1-1):

hmm - unstable has 0.2.1.5.9 (is this still only in subversion?)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #99 received at 316663@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Sat, 15 Oct 2005 17:12:20 -0700
[Message part 1 (text/plain, inline)]
On Sat, Oct 15, 2005 at 05:23:30PM -0400, Thomas Dickey <dickey@his.com> was heard to say:
> On Fri, Oct 14, 2005 at 06:26:33PM -0700, Daniel Burrows wrote:
> >   One reproducible breakage for me (with aptitude 0.3.5.1-1):
> 
> hmm - unstable has 0.2.1.5.9 (is this still only in subversion?)

  It's in experimental, but because of the NEW queue it isn't available
today.  You can get it from http://incoming.debian.org.

  Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #104 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>
Cc: 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Sat, 15 Oct 2005 21:05:25 -0400 (EDT)
On Sat, 15 Oct 2005, Daniel Burrows wrote:

> On Sat, Oct 15, 2005 at 05:23:30PM -0400, Thomas Dickey <dickey@his.com> was heard to say:
>> On Fri, Oct 14, 2005 at 06:26:33PM -0700, Daniel Burrows wrote:
>>>   One reproducible breakage for me (with aptitude 0.3.5.1-1):
>>
>> hmm - unstable has 0.2.1.5.9 (is this still only in subversion?)
>
>  It's in experimental, but because of the NEW queue it isn't available
> today.  You can get it from http://incoming.debian.org.

ok.  I got a copy, but it doesn't compile with g++ 3.3.5 or 4.0.  Earlier 
today I tried the 0.3.4 from the svn that you indicated earlier in this 
thread, but it was incomplete.  Went back to the snapshot I compiled in 
July, but it now fails to compile, looks like the same problem as the 
current one.

I'll look into updating things tomorrow to see how to get this to build.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #109 received at 316663@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>, 316663@bugs.debian.org
Subject: Re: Bug#316663: acknowledged by developer (Bug#316663: fixed in ncurses 5.5-1)
Date: Sat, 22 Oct 2005 19:16:23 -0400
[Message part 1 (text/plain, inline)]
On Fri, Oct 14, 2005 at 06:26:33PM -0700, Daniel Burrows wrote:
>   One reproducible breakage for me (with aptitude 0.3.5.1-1):
> 
>   (a) start the program in the zh_CN.UTF-8 locale
>   (b) activate the menu bar (press Control-Space)
>   (c) press right 5 times
> 
>   In a 42x19 terminal, the last step results in the bottom border of the
> menu refusing to overlap a string of Chinese text that I can't read, and
> getting shifted one cell to the right (going off the screen and wrapping
> around).  This particular case, unlike some others, doesn't go away when
> I do a complete screen refresh (^L).  If I deactivate the menu at that
> point (Control-Space again), there is some corruption of the same long
> string of text, and this *does* go away.

I can reproduce this (will investigate and see why it does that).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to dburrows@debian.org:
Bug#316663. Full text and rfc822 format available.

Message #112 received at 316663-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 316663-submitter@bugs.debian.org
Subject: re: #316663: Curses doesn't seem to like overlapped wide characters
Date: Sat, 29 Oct 2005 21:20:56 -0400
[Message part 1 (text/plain, inline)]
I see the problem, and have fixed the part of it which shows up in the test
case which Daniel Burrows gave.  (I can also see the same issue in a few
other places, which I will also fix - no remaining time tonight).  The
partial fix is in this week's patch for ncurses.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #117 received at 316663-quiet@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: dickey@his.com, 316663-quiet@bugs.debian.org
Subject: Re: Bug#316663: #316663: Curses doesn't seem to like overlapped wide characters
Date: Sat, 29 Oct 2005 23:10:03 -0400
[Message part 1 (text/plain, inline)]
On Sat, Oct 29, 2005 at 09:20:56PM -0400, Thomas Dickey <dickey@his.com> was heard to say:
> I see the problem, and have fixed the part of it which shows up in the test
> case which Daniel Burrows gave.  (I can also see the same issue in a few
> other places, which I will also fix - no remaining time tonight).  The
> partial fix is in this week's patch for ncurses.

  Ok, great.  I look forward to finding more bugs }=).

  Daniel
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#316663; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #122 received at 316663-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Burrows <dburrows@debian.org>
Cc: 316663-quiet@bugs.debian.org
Subject: Re: Bug#316663: #316663: Curses doesn't seem to like overlapped wide characters
Date: Mon, 31 Oct 2005 18:28:27 -0500 (EST)
On Sat, 29 Oct 2005, Daniel Burrows wrote:

> On Sat, Oct 29, 2005 at 09:20:56PM -0400, Thomas Dickey <dickey@his.com> was heard to say:
>> I see the problem, and have fixed the part of it which shows up in the test
>> case which Daniel Burrows gave.  (I can also see the same issue in a few
>> other places, which I will also fix - no remaining time tonight).  The
>> partial fix is in this week's patch for ncurses.
>
>  Ok, great.  I look forward to finding more bugs }=).

The fundamental problem is that for a derived window, when making changes 
to it, I have to check for wide characters that extend into the derived 
window (and are broken by the change).  You might notice other problems - 
and reporting them would be helpful, since I'll probably overlook some 
cases by just inspecting the code.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dburrows@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #127 received at 316663-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 316663-close@bugs.debian.org
Subject: Bug#316663: fixed in ncurses 5.5-2
Date: Tue, 02 May 2006 10:15:04 -0700
Source: ncurses
Source-Version: 5.5-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/lib32ncurses5-dev_5.5-2_amd64.deb
lib32ncurses5_5.5-2_amd64.deb
  to pool/main/n/ncurses/lib32ncurses5_5.5-2_amd64.deb
libncurses5-dbg_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.5-2_amd64.deb
libncurses5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5-dev_5.5-2_amd64.deb
libncurses5_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5_5.5-2_amd64.deb
libncursesw5-dbg_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.5-2_amd64.deb
libncursesw5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.5-2_amd64.deb
libncursesw5_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5_5.5-2_amd64.deb
ncurses-base_5.5-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.5-2_all.deb
ncurses-bin_5.5-2_amd64.deb
  to pool/main/n/ncurses/ncurses-bin_5.5-2_amd64.deb
ncurses-term_5.5-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.5-2_all.deb
ncurses_5.5-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.5-2.diff.gz
ncurses_5.5-2.dsc
  to pool/main/n/ncurses/ncurses_5.5-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316663@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Apr 2006 16:35:05 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term lib32ncurses5-dev lib32ncurses5 libncurses5-dbg lib64ncurses5-dev
Architecture: source amd64 all
Version: 5.5-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 lib32ncurses5 - Shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - Developer's libraries for ncurses (32-bit)
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 316663 334099 335655 338234 339518 341661 344022 344442 354281 355129 364339
Changes: 
 ncurses (5.5-2) unstable; urgency=low
 .
   * Update to upstream patch level 20060422.
     - Correct missing and bogus copyright notices (Closes: #364339).
     - Correct a typo in the infocmp(1) man page (Closes: 354281).
     - Correct wins_nwstr for single-column non-8bit codes (Closes: #341661).
     - Remove a redundant test in lib_color.c (Closes: #335655).
     - Ignore EINTR in tcgetattr/tcsetattr calls (Closes: #339518).
     - Correct smacs in cygwin terminfo (Closes: #338234).
     - Two additional fixes for wide character display (Closes: #316663)
       (again).
   * Acknowledge NMU (Closes: #355129).
   * Update control file for the removal of Section: base.
   * Use DEB_HOST_ARCH to determine whether to build biarch packages,
     based on patch from Aurelien Jarno (Closes: #334099).
   * Make lib64ncurses5-dev depend on lib64c-dev (Closes: #344022).
   * Add 32-bit library support on amd64, based loosely on Ubuntu
     patch (Closes: #344442).
   * Package debugging versions of libncurses++.a.
   * Update to debhelper compatibility level 5.
   * Update policy version to 3.7.0.0.
   * Use shorter symlinks within terminfo directories when possible
     (e.g. xx -> xy instead of xx -> ../x/xy).
Files: 
 67d1c3aeade59080eef852163369aad1 1016 libs standard ncurses_5.5-2.dsc
 e364f6c9b4069858811380d9413aa4c1 267511 libs standard ncurses_5.5-2.diff.gz
 5f8ac6f2c5152312ecb99d16b2b2694f 326914 libs required libncurses5_5.5-2_amd64.deb
 44f7971b876d8cc3bd938d30ef4086e1 1397902 libdevel optional libncurses5-dev_5.5-2_amd64.deb
 fa793b111679e39e6aac5652d0a7b58a 1625338 libdevel extra libncurses5-dbg_5.5-2_amd64.deb
 013032d9e1a01eadaf3e4154c05fc959 346736 libs important libncursesw5_5.5-2_amd64.deb
 ff2c0635f32d9a6d8f87c6e312a839eb 468774 libdevel optional libncursesw5-dev_5.5-2_amd64.deb
 bbd416d325ec51d229c18597bdb84401 1820344 libdevel extra libncursesw5-dbg_5.5-2_amd64.deb
 04636992af89ec30cd06ac18dada041f 299652 libs optional lib32ncurses5_5.5-2_amd64.deb
 8b8ca4b089a10bd5407625b94bc6e2e0 357666 libdevel optional lib32ncurses5-dev_5.5-2_amd64.deb
 7697188007849a705bc1efca8af7de32 230776 utils required ncurses-bin_5.5-2_amd64.deb
 fe09b1b13bb5a5e0e914e3a6490c31cd 12848 utils required ncurses-base_5.5-2_all.deb
 db626d5770c5b02d1558ee43a34759d7 277468 admin standard ncurses-term_5.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEVTPbbgOPXuCjg3cRAngGAKCfr5oyaW7U50fclhLvwsyye4WivgCdFjBo
YedoELXd6ahM8lkmXxb10YU=
=CTxs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:32:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:47:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.